Skip to main content

Advertising Segment Routing Policies in BGP
draft-ietf-idr-segment-routing-te-policy-20

Revision differences

Document history

Date Rev. By Action
2022-10-12
20 Susan Hares
Version 11/1/2019: As required by RFC 4858, this is the current template for the Document Shepherd Write-Up. 

(1) What type of RFC is being …
Version 11/1/2019: As required by RFC 4858, this is the current template for the Document Shepherd Write-Up. 

(1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)?
Proposed Standard

Why is this the proper type of RFC?  This document defines a new BGP SAFI with a new NLRI to advertise a candidate path of a segment routing (SR) Policy. 

Is this type of RFC indicated in the title page header?  Yes

(2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections:

Technical Summary:

This document defines a new BGP SAFI with a new NLRI to advertise
a candidate path of a segment routing (SR) Policy.  An SR Policy is
a set of candidate paths, each consisting of one or more segment lists.
The headend of an SR Policy may learn multiple candidate paths for
an SR Policy.  Candidate paths may be learned via several different mechanisms
(e.g. CLI, NETCONF, PCEP, or BGP).  This document specifies how BGP
may be used to distribute SR Policy candidate paths.  New Sub-TLVs for the
BGP tunnel Encapsulation Attribute are defined for signaling
information about these candidate paths.

Working Group Summary:
[WG LC: 6/29/2021 to 7/13/2021]

John's Scudder's update:
https://mailarchive.ietf.org/arch/msg/idr/yCcZdStmTR-FLUYGHTsLLBv5aWo/

RTG-DIR (early review):

Document Quality:

Are there existing implementations of the protocol?
5 implementations:  Cisco-IOS-XR, Arista EOS, Juniper, Nokia, Huawei 
https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-segment-routing-te-policy%20implementations%20

Have a significant number of vendors indicated their plan to implement the specification? 
Yes.

Personnel:
Document Shepherd: Susan Hares
AD: Alvaro Retana
Early reviews:
a) secdir-review: status: ready, Reviewer: Vincent Roca
b) opsdir-review: status: not filled out
c) intdir-review: status: ready with issues reviewer: Brian Haberman
d) rtgdir-review: status: has issues:  Reviewer: Mohamed Boucadair
  https://mailarchive.ietf.org/arch/msg/rtg-dir/sZbZ36ja8FaIh_s0yZwierbG28Q/

mail thread indicates editor has resolved issues with Mohamed.


(3) Briefly describe the review of this document that was performed by the Document Shepherd.
This document has been reviewed by the Document shepherd (3 times).
The shepherd also asked for targeted reviews. 
The implementation report was repeatedly reviewed.
https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-segment-routing-te-policy%20implementations%20

7+ implementation exist (including 1 open-source implementation).

The WG approved sending the document even though some portion of the document do
not have 2 implementations.
https://mailarchive.ietf.org/arch/msg/idr/d0aivjrXMYcOeMWmhNILbLHMBnc/

The email sequence regarding the last shepherd report (-17 to -18)  is given here:
https://mailarchive.ietf.org/arch/msg/idr/vVkMy-y6fZb0FunHyFmqFzikIzY/

The IDR Mail list discussion on approving without all features being implemented is here:
https://mailarchive.ietf.org/arch/msg/idr/r8aWDJDWyWexgpLZagKaFrTePG8/

If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.
Document is ready. 

(4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?
No

(5) Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.
Directorates from Security, INT, RTG and OPS Area were asked for early review.

(6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.
No concerns.

(7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why?
IPR disclosures:
Stefano Previdi
https://mailarchive.ietf.org/arch/msg/idr/a57ZRQzKlSVy6h701Xd0eTKAfZc/

Clarence Filsfils
https://mailarchive.ietf.org/arch/msg/idr/5KhOZrkvyHtb8Z-aacjbN26CEjE/

Ketan Talulikar
https://mailarchive.ietf.org/arch/msg/idr/xSZP3t-vOeAA2ldvM9bo1s5RRgQ/

Paul Mattes
https://mailarchive.ietf.org/arch/msg/idr/43f5YaQo1souZQpBIbsFyxj1nW4/

Eric Rosen:
https://mailarchive.ietf.org/arch/msg/idr/sRVEwzBupkOXOKrKop-m8KnEFDg/

Dhanendra Jain:
https://mailarchive.ietf.org/arch/msg/idr/QJLZUCK1IFRXGoL0zHjaZElggqs/

Stephen Lin
https://mailarchive.ietf.org/arch/msg/idr/kyp20fTB44xM473aHe4LPBxgPz4/

Contributors:
Arjun Sreekantiah
https://mailarchive.ietf.org/arch/msg/idr/K9OvosP9HKAGw3S5rj7-xo0ocIM/

Acee Lindem
https://mailarchive.ietf.org/arch/msg/idr/MCF2PRAULemtQAOTKHhT4xwgojs/

Siva Sivabalan
https://mailarchive.ietf.org/arch/msg/idr/ukQ8dOdf9NhS76xxvGJrGnM-d6c/

Imtiyaz Mohammad
https://mailarchive.ietf.org/arch/msg/idr/M1pOePUdJY7ucPU_KPaVQOLysLQ/

Gurav Dawra
https://mailarchive.ietf.org/arch/msg/idr/nspr4I6I_FabnIUYEPSQbMvVG8c/

Peng Shaofu
https://mailarchive.ietf.org/arch/msg/idr/AwRLK0aSvo1aeClaawi8nkbgcIg/


(8) Has an IPR disclosure been filed that references this document?
Yes - See 2984 via datatracker link.
If so, summarize any WG discussion and conclusion regarding the IPR disclosures.
This IPR was filed before IDR WG adopted draft. 

(9) How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?
WG consensus is good to strong.

(10) Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarize the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)
No appeals or extreme discomfort

(11) Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.
ID Nits run. No errors.

(12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, YANG Doctor, media type, and URI type reviews.
No formal review required. Packets only.

(13) Have all references within this document been identified as either normative or informative?
yes.

(14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?
No - All normative documents are RFCs or at RFC Editor.

(15) Are there downward normative references references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.
No.

(16) Will publication of this document change the status of any existing RFCs? RFC9012.
Listed on title page, included in abstract, and discussed in introduction.

(17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document.

IANA has reviewed the permanent allocations for this draft, and allocations.

(18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries.
Section 6.5  New Registry: SR Policy Segment List Sub-TLVs
Section 6.6.  New Registry: SR Policy Binding SID Flags
Section 6.7.  New Registry: SR Policy SRv6 Binding SID Flags
Section 6.8  New Registry: SR Policy Segment Flags
Section 6.9.  New Registry: Color Extended Community Color-Only Types

(19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, YANG modules, etc.

(20) If the document contains a YANG module, has the module been checked with any of the recommended validation tools (https://trac.ietf.org/trac/ops/wiki/yang-review-tools) for syntax and formatting validation?
No yang module for this document. 
The IDR Chairs will add this to the list of
BGP-LS modules that need to be created after BGP main module is finished.
2022-07-27
20 Ketan Talaulikar New version available: draft-ietf-idr-segment-routing-te-policy-20.txt
2022-07-27
20 Ketan Talaulikar New version accepted (logged-in submitter: Ketan Talaulikar)
2022-07-27
20 Ketan Talaulikar Uploaded new revision
2022-07-23
19 Ketan Talaulikar New version available: draft-ietf-idr-segment-routing-te-policy-19.txt
2022-07-23
19 Ketan Talaulikar New version accepted (logged-in submitter: Ketan Talaulikar)
2022-07-23
19 Ketan Talaulikar Uploaded new revision
2022-07-18
18 Vincent Roca Request for Early review by SECDIR Completed: Ready. Reviewer: Vincent Roca. Sent review to list.
2022-07-08
18 Brian Haberman Request for Early review by INTDIR Completed: Ready with Issues. Reviewer: Brian Haberman. Sent review to list.
2022-07-08
18 Mohamed Boucadair Request for Early review by RTGDIR Completed: Has Issues. Reviewer: Mohamed Boucadair. Sent review to list.
2022-07-04
18 Susan Hares
Version 11/1/2019: As required by RFC 4858, this is the current template for the Document Shepherd Write-Up. 

(1) What type of RFC is being …
Version 11/1/2019: As required by RFC 4858, this is the current template for the Document Shepherd Write-Up. 

(1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)?
Proposed Standard

Why is this the proper type of RFC?  This document defines a new BGP SAFI with a new NLRI to advertise a candidate path of a segment routing (SR) Policy. 

Is this type of RFC indicated in the title page header?  Yes

(2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections:

Technical Summary:

This document defines a new BGP SAFI with a new NLRI to advertise
a candidate path of a segment routing (SR) Policy.  An SR Policy is
a set of candidate paths, each consisting of one or more segment lists.
The headend of an SR Policy may learn multiple candidate paths for
an SR Policy.  Candidate paths may be learned via several different mechanisms
(e.g. CLI, NETCONF, PCEP, or BGP).  This document specifies how BGP
may be used to distribute SR Policy candidate paths.  New Sub-TLVs for the
BGP tunnel Encapsulation Attribute are defined for signaling
information about these candidate paths.

Working Group Summary:
[WG LC: 6/29/2021 to 7/13/2021]

John's Scudder's update:
https://mailarchive.ietf.org/arch/msg/idr/yCcZdStmTR-FLUYGHTsLLBv5aWo/


Document Quality:

Are there existing implementations of the protocol?
5 implementations:  Cisco-IOS-XR, Arista EOS, Juniper, Nokia, Huawei 
https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-segment-routing-te-policy%20implementations%20

Have a significant number of vendors indicated their plan to implement the specification? 
Yes.

Personnel:
Document Shepherd: Susan Hares
AD: Alvaro Retana

(3) Briefly describe the review of this document that was performed by the Document Shepherd.
This document has been reviewed by the Document shepherd (3 times).
The shepherd also asked for targeted reviews. 
The implementation report was repeatedly reviewed.
https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-segment-routing-te-policy%20implementations%20

7+ implementation exist (including 1 open-source implementation).

The WG approved sending the document even though some portion of the document do
not have 2 implementations.
https://mailarchive.ietf.org/arch/msg/idr/d0aivjrXMYcOeMWmhNILbLHMBnc/

The email sequence regarding the last shepherd report (-17 to -18)  is given here:
https://mailarchive.ietf.org/arch/msg/idr/vVkMy-y6fZb0FunHyFmqFzikIzY/

The IDR Mail list discussion on approving without all features being implemented is here:
https://mailarchive.ietf.org/arch/msg/idr/r8aWDJDWyWexgpLZagKaFrTePG8/

If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.
Document is ready. 

(4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?
No

(5) Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.
Directorates from Security, INT, RTG and OPS Area were asked for early review.

(6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.
No concerns.

(7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why?
IPR disclosures:
Stefano Previdi
https://mailarchive.ietf.org/arch/msg/idr/a57ZRQzKlSVy6h701Xd0eTKAfZc/

Clarence Filsfils
https://mailarchive.ietf.org/arch/msg/idr/5KhOZrkvyHtb8Z-aacjbN26CEjE/

Ketan Talulikar
https://mailarchive.ietf.org/arch/msg/idr/xSZP3t-vOeAA2ldvM9bo1s5RRgQ/

Paul Mattes
https://mailarchive.ietf.org/arch/msg/idr/43f5YaQo1souZQpBIbsFyxj1nW4/

Eric Rosen:
https://mailarchive.ietf.org/arch/msg/idr/sRVEwzBupkOXOKrKop-m8KnEFDg/

Dhanendra Jain:
https://mailarchive.ietf.org/arch/msg/idr/QJLZUCK1IFRXGoL0zHjaZElggqs/

Stephen Lin
https://mailarchive.ietf.org/arch/msg/idr/kyp20fTB44xM473aHe4LPBxgPz4/

Contributors:
Arjun Sreekantiah
https://mailarchive.ietf.org/arch/msg/idr/K9OvosP9HKAGw3S5rj7-xo0ocIM/

Acee Lindem
https://mailarchive.ietf.org/arch/msg/idr/MCF2PRAULemtQAOTKHhT4xwgojs/

Siva Sivabalan
https://mailarchive.ietf.org/arch/msg/idr/ukQ8dOdf9NhS76xxvGJrGnM-d6c/

Imtiyaz Mohammad
https://mailarchive.ietf.org/arch/msg/idr/M1pOePUdJY7ucPU_KPaVQOLysLQ/

Gurav Dawra
https://mailarchive.ietf.org/arch/msg/idr/nspr4I6I_FabnIUYEPSQbMvVG8c/

Peng Shaofu
https://mailarchive.ietf.org/arch/msg/idr/AwRLK0aSvo1aeClaawi8nkbgcIg/


(8) Has an IPR disclosure been filed that references this document?
Yes - See 2984 via datatracker link.
If so, summarize any WG discussion and conclusion regarding the IPR disclosures.
This IPR was filed before IDR WG adopted draft. 

(9) How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?
WG consensus is good to strong.

(10) Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarize the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)
No appeals or extreme discomfort

(11) Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.
ID Nits run. No errors.

(12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, YANG Doctor, media type, and URI type reviews.
No formal review required. Packets only.

(13) Have all references within this document been identified as either normative or informative?
yes.

(14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?
No - All normative documents are RFCs or at RFC Editor.

(15) Are there downward normative references references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.
No.

(16) Will publication of this document change the status of any existing RFCs? RFC9012.
Listed on title page, included in abstract, and discussed in introduction.

(17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document.

IANA has reviewed the permanent allocations for this draft, and allocations.

(18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries.
Section 6.5  New Registry: SR Policy Segment List Sub-TLVs
Section 6.6.  New Registry: SR Policy Binding SID Flags
Section 6.7.  New Registry: SR Policy SRv6 Binding SID Flags
Section 6.8  New Registry: SR Policy Segment Flags
Section 6.9.  New Registry: Color Extended Community Color-Only Types

(19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, YANG modules, etc.

(20) If the document contains a YANG module, has the module been checked with any of the recommended validation tools (https://trac.ietf.org/trac/ops/wiki/yang-review-tools) for syntax and formatting validation?
No yang module for this document. 
The IDR Chairs will add this to the list of
BGP-LS modules that need to be created after BGP main module is finished.
2022-07-04
18 Susan Hares Responsible AD changed to Alvaro Retana
2022-07-04
18 Susan Hares IETF WG state changed to Submitted to IESG for Publication from WG Consensus: Waiting for Write-Up
2022-07-04
18 Susan Hares IESG state changed to Publication Requested from I-D Exists
2022-07-04
18 Susan Hares IESG process started in state Publication Requested
2022-07-04
18 Susan Hares
Version 11/1/2019: As required by RFC 4858, this is the current template for the Document Shepherd Write-Up. 

(1) What type of RFC is being …
Version 11/1/2019: As required by RFC 4858, this is the current template for the Document Shepherd Write-Up. 

(1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)?
Proposed Standard

Why is this the proper type of RFC?  This document defines a new BGP SAFI with a new NLRI to advertise a candidate path of a segment routing (SR) Policy. 

Is this type of RFC indicated in the title page header?  Yes

(2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections:

Technical Summary:

This document defines a new BGP SAFI with a new NLRI to advertise
a candidate path of a segment routing (SR) Policy.  An SR Policy is
a set of candidate paths, each consisting of one or more segment lists.
The headend of an SR Policy may learn multiple candidate paths for
an SR Policy.  Candidate paths may be learned via several different mechanisms
(e.g. CLI, NETCONF, PCEP, or BGP).  This document specifies how BGP
may be used to distribute SR Policy candidate paths.  New Sub-TLVs for the
BGP tunnel Encapsulation Attribute are defined for signaling
information about these candidate paths.

Working Group Summary:
[WG LC: 6/29/2021 to 7/13/2021]

John's Scudder's update:
https://mailarchive.ietf.org/arch/msg/idr/yCcZdStmTR-FLUYGHTsLLBv5aWo/


Document Quality:

Are there existing implementations of the protocol?
5 implementations:  Cisco-IOS-XR, Arista EOS, Juniper, Nokia, Huawei 
https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-segment-routing-te-policy%20implementations%20

Have a significant number of vendors indicated their plan to implement the specification? 
Yes.

Personnel:
Document Shepherd: Susan Hares
AD: Alvaro Retana

(3) Briefly describe the review of this document that was performed by the Document Shepherd.
This document has been reviewed by the Document shepherd (3 times).
The shepherd also asked for targeted reviews. 
The implementation report was repeatedly reviewed.
https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-segment-routing-te-policy%20implementations%20

7+ implementation exist (including 1 open-source implementation).

The WG approved sending the document even though some portion of the document do
not have 2 implementations.
https://mailarchive.ietf.org/arch/msg/idr/d0aivjrXMYcOeMWmhNILbLHMBnc/

The email sequence regarding the last shepherd report (-17 to -18)  is given here:
https://mailarchive.ietf.org/arch/msg/idr/vVkMy-y6fZb0FunHyFmqFzikIzY/

The IDR Mail list discussion on approving without all features being implemented is here:
https://mailarchive.ietf.org/arch/msg/idr/r8aWDJDWyWexgpLZagKaFrTePG8/

If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.
Document is ready. 

(4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?
No

(5) Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.
Directorates from Security, INT, RTG and OPS Area were asked for early review.

(6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.
No concerns.

(7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why?
IPR disclosures:
Stefano Previdi
https://mailarchive.ietf.org/arch/msg/idr/a57ZRQzKlSVy6h701Xd0eTKAfZc/

Clarence Filsfils
https://mailarchive.ietf.org/arch/msg/idr/5KhOZrkvyHtb8Z-aacjbN26CEjE/

Ketan Talulikar
https://mailarchive.ietf.org/arch/msg/idr/xSZP3t-vOeAA2ldvM9bo1s5RRgQ/

Paul Mattes
https://mailarchive.ietf.org/arch/msg/idr/43f5YaQo1souZQpBIbsFyxj1nW4/

Eric Rosen:
https://mailarchive.ietf.org/arch/msg/idr/sRVEwzBupkOXOKrKop-m8KnEFDg/

Dhanendra Jain:
https://mailarchive.ietf.org/arch/msg/idr/QJLZUCK1IFRXGoL0zHjaZElggqs/

Stephen Lin
https://mailarchive.ietf.org/arch/msg/idr/kyp20fTB44xM473aHe4LPBxgPz4/

Contributors:
Arjun Sreekantiah
https://mailarchive.ietf.org/arch/msg/idr/K9OvosP9HKAGw3S5rj7-xo0ocIM/

Acee Lindem
https://mailarchive.ietf.org/arch/msg/idr/MCF2PRAULemtQAOTKHhT4xwgojs/

Siva Sivabalan
https://mailarchive.ietf.org/arch/msg/idr/ukQ8dOdf9NhS76xxvGJrGnM-d6c/

Imtiyaz Mohammad
https://mailarchive.ietf.org/arch/msg/idr/M1pOePUdJY7ucPU_KPaVQOLysLQ/

Gurav Dawra
https://mailarchive.ietf.org/arch/msg/idr/nspr4I6I_FabnIUYEPSQbMvVG8c/

Peng Shaofu
https://mailarchive.ietf.org/arch/msg/idr/AwRLK0aSvo1aeClaawi8nkbgcIg/


(8) Has an IPR disclosure been filed that references this document?
Yes - See 2984 via datatracker link.
If so, summarize any WG discussion and conclusion regarding the IPR disclosures.
This IPR was filed before IDR WG adopted draft. 

(9) How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?
WG consensus is good to strong.

(10) Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarize the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)
No appeals or extreme discomfort

(11) Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.
ID Nits run. No errors.

(12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, YANG Doctor, media type, and URI type reviews.
No formal review required. Packets only.

(13) Have all references within this document been identified as either normative or informative?
yes.

(14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?
No - All normative documents are RFCs or at RFC Editor.

(15) Are there downward normative references references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.
No.

(16) Will publication of this document change the status of any existing RFCs? RFC9012.
Listed on title page, included in abstract, and discussed in introduction.

(17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document.

IANA has reviewed the permanent allocations for this draft, and allocations.

(18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries.
Section 6.5  New Registry: SR Policy Segment List Sub-TLVs
Section 6.6.  New Registry: SR Policy Binding SID Flags
Section 6.7.  New Registry: SR Policy SRv6 Binding SID Flags
Section 6.8  New Registry: SR Policy Segment Flags
Section 6.9.  New Registry: Color Extended Community Color-Only Types

(19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, YANG modules, etc.

(20) If the document contains a YANG module, has the module been checked with any of the recommended validation tools (https://trac.ietf.org/trac/ops/wiki/yang-review-tools) for syntax and formatting validation?
No yang module for this document. 
The IDR Chairs will add this to the list of
BGP-LS modules that need to be created after BGP main module is finished.
2022-06-24
18 Tero Kivinen Request for Early review by SECDIR is assigned to Vincent Roca
2022-06-24
18 Tero Kivinen Request for Early review by SECDIR is assigned to Vincent Roca
2022-06-22
18 Luc André Burdet Request for Early review by RTGDIR is assigned to Mohamed Boucadair
2022-06-22
18 Luc André Burdet Request for Early review by RTGDIR is assigned to Mohamed Boucadair
2022-06-22
18 Carlos Bernardos Request for Early review by INTDIR is assigned to Brian Haberman
2022-06-22
18 Carlos Bernardos Request for Early review by INTDIR is assigned to Brian Haberman
2022-06-22
18 Gunter Van de Velde Request for Early review by OPSDIR is assigned to Shwetha Bhandari
2022-06-22
18 Gunter Van de Velde Request for Early review by OPSDIR is assigned to Shwetha Bhandari
2022-06-21
18 Susan Hares
Version 11/1/2019: As required by RFC 4858, this is the current template for the Document Shepherd Write-Up. 

(1) What type of RFC is being …
Version 11/1/2019: As required by RFC 4858, this is the current template for the Document Shepherd Write-Up. 

(1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)?
Proposed Standard

Why is this the proper type of RFC?  This document defines a new BGP SAFI with a new NLRI to advertise a candidate path of a segment routing (SR) Policy. 

Is this type of RFC indicated in the title page header?  Yes

(2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections:

Technical Summary:

This document defines a new BGP SAFI with a new NLRI to advertise
a candidate path of a segment routing (SR) Policy.  An SR Policy is
a set of candidate paths, each consisting of one or more segment lists.
The headend of an SR Policy may learn multiple candidate paths for
an SR Policy.  Candidate paths may be learned via several different mechanisms
(e.g. CLI, NETCONF, PCEP, or BGP).  This document specifies how BGP
may be used to distribute SR Policy candidate paths.  New Sub-TLVs for the
BGP tunnel Encapsulation Attribute are defined for signaling
information about these candidate paths.

Working Group Summary:
[WG LC: 6/29/2021 to 7/13/2021]

John's Scudder's update:
https://mailarchive.ietf.org/arch/msg/idr/yCcZdStmTR-FLUYGHTsLLBv5aWo/


Document Quality:

Are there existing implementations of the protocol?
5 implementations:  Cisco-IOS-XR, Arista EOS, Juniper, Nokia, Huawei 
https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-segment-routing-te-policy%20implementations%20

Have a significant number of vendors indicated their plan to implement the specification? 
Yes.

Personnel:
Document Shepherd: Susan Hares
AD: Alvaro Retana

(3) Briefly describe the review of this document that was performed by the Document Shepherd.
This document has been reviewed by the Document shepherd (3 times).
The shepherd also asked for targeted reviews. 
The implementation report was repeatedly reviewed.

The email sequence regarding the last shepherd report (-17 to -18)  is given here:
https://mailarchive.ietf.org/arch/msg/idr/vVkMy-y6fZb0FunHyFmqFzikIzY/

The IDR Mail list discussion on approving without all features being implemented is here:
https://mailarchive.ietf.org/arch/msg/idr/r8aWDJDWyWexgpLZagKaFrTePG8/

If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.
Document is ready. 

(4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?
No

(5) Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.
Directorates from Security, INT, RTG and OPS Area were asked for early review.

(6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.
No concerns.

(7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why?
IPR disclosures:
Stefano Previdi
https://mailarchive.ietf.org/arch/msg/idr/a57ZRQzKlSVy6h701Xd0eTKAfZc/

Clarence Filsfils
https://mailarchive.ietf.org/arch/msg/idr/5KhOZrkvyHtb8Z-aacjbN26CEjE/

Ketan Talulikar
https://mailarchive.ietf.org/arch/msg/idr/xSZP3t-vOeAA2ldvM9bo1s5RRgQ/

Paul Mattes
https://mailarchive.ietf.org/arch/msg/idr/43f5YaQo1souZQpBIbsFyxj1nW4/

Eric Rosen:
https://mailarchive.ietf.org/arch/msg/idr/sRVEwzBupkOXOKrKop-m8KnEFDg/

Dhanendra Jain:
https://mailarchive.ietf.org/arch/msg/idr/QJLZUCK1IFRXGoL0zHjaZElggqs/

Stephen Lin
https://mailarchive.ietf.org/arch/msg/idr/kyp20fTB44xM473aHe4LPBxgPz4/

Contributors:
Arjun Sreekantiah
https://mailarchive.ietf.org/arch/msg/idr/K9OvosP9HKAGw3S5rj7-xo0ocIM/

Acee Lindem
https://mailarchive.ietf.org/arch/msg/idr/MCF2PRAULemtQAOTKHhT4xwgojs/

Siva Sivabalan
https://mailarchive.ietf.org/arch/msg/idr/ukQ8dOdf9NhS76xxvGJrGnM-d6c/

Imtiyaz Mohammad
https://mailarchive.ietf.org/arch/msg/idr/M1pOePUdJY7ucPU_KPaVQOLysLQ/

Gurav Dawra
https://mailarchive.ietf.org/arch/msg/idr/nspr4I6I_FabnIUYEPSQbMvVG8c/

Peng Shaofu
https://mailarchive.ietf.org/arch/msg/idr/AwRLK0aSvo1aeClaawi8nkbgcIg/


(8) Has an IPR disclosure been filed that references this document?
Yes - See 2984 via datatracker link.
If so, summarize any WG discussion and conclusion regarding the IPR disclosures.
This IPR was filed before IDR WG adopted draft. 

(9) How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?
WG consensus is good to strong.

(10) Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarize the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)
No appeals or extreme discomfort

(11) Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.
ID Nits run. No errors.

(12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, YANG Doctor, media type, and URI type reviews.
No formal review required. Packets only.

(13) Have all references within this document been identified as either normative or informative?
yes.

(14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?
No - All normative documents are RFCs or at RFC Editor.

(15) Are there downward normative references references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.
No.

(16) Will publication of this document change the status of any existing RFCs? RFC9012.
Listed on title page, included in abstract, and discussed in introduction.

(17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document.

IANA has reviewed the permanent allocations for this draft, and allocations.

(18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries.
Section 6.5  New Registry: SR Policy Segment List Sub-TLVs
Section 6.6.  New Registry: SR Policy Binding SID Flags
Section 6.7.  New Registry: SR Policy SRv6 Binding SID Flags
Section 6.8  New Registry: SR Policy Segment Flags
Section 6.9.  New Registry: Color Extended Community Color-Only Types

(19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, YANG modules, etc.

(20) If the document contains a YANG module, has the module been checked with any of the recommended validation tools (https://trac.ietf.org/trac/ops/wiki/yang-review-tools) for syntax and formatting validation?
No yang module for this document. 
The IDR Chairs will add this to the list of
BGP-LS modules that need to be created after BGP main module is finished.
2022-06-21
18 Susan Hares Requested Early review by RTGDIR
2022-06-21
18 Susan Hares Requested Early review by OPSDIR
2022-06-21
18 Susan Hares Requested Early review by INTDIR
2022-06-21
18 Susan Hares Requested Early review by SECDIR
2022-06-16
18 Ketan Talaulikar New version available: draft-ietf-idr-segment-routing-te-policy-18.txt
2022-06-16
18 Ketan Talaulikar New version accepted (logged-in submitter: Ketan Talaulikar)
2022-06-16
18 Ketan Talaulikar Uploaded new revision
2022-04-14
17 Ketan Talaulikar New version available: draft-ietf-idr-segment-routing-te-policy-17.txt
2022-04-14
17 (System) New version accepted (logged-in submitter: Ketan Talaulikar)
2022-04-14
17 Ketan Talaulikar Uploaded new revision
2022-03-07
16 Ketan Talaulikar New version available: draft-ietf-idr-segment-routing-te-policy-16.txt
2022-03-07
16 (System) New version accepted (logged-in submitter: Ketan Talaulikar)
2022-03-07
16 Ketan Talaulikar Uploaded new revision
2022-03-05
15 Ketan Talaulikar New version available: draft-ietf-idr-segment-routing-te-policy-15.txt
2022-03-05
15 (System) New version accepted (logged-in submitter: Ketan Talaulikar)
2022-03-05
15 Ketan Talaulikar Uploaded new revision
2022-03-03
14 Susan Hares
Version 11/1/2019: As required by RFC 4858, this is the current template for the Document Shepherd Write-Up. 

(1) What type of RFC is being …
Version 11/1/2019: As required by RFC 4858, this is the current template for the Document Shepherd Write-Up. 

(1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)?
Proposed Standard

Why is this the proper type of RFC?  This dcoument defines a new BGP SAFI with a new NLRI to advertise a candidate path of a segment routing (SR) Poliocy. 

Is this type of RFC indicated in the title page header?  Yes

(2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections:

Technical Summary:

This document defines a new BGP SAFI witha new NLRI to advtise
a canddiate path of a segement routing (SR) Policy.  An SR Policy is
a set of candidate paths, each consisting of one or more segment lists.
The headend of an SR Policy may learn mltiple candidate paths for
an SR Policy.  Candidate paths may be learned via several different mechanisms
(e.g. CLI, NetConf, PCEP, or BGP).  This document specifies how BGP
may be used to distribute SR Policy candidate paths.  New Sub-TLVs for the
BGP tunnel Encapsulation Attribute are defined for signaling
information about these candidate paths.

Working Group Summary:
[WG LC: 6/29/2021 to 7/13/2021]

John's Scudder's update:
https://mailarchive.ietf.org/arch/msg/idr/yCcZdStmTR-FLUYGHTsLLBv5aWo/


Document Quality:

Are there existing implementations of the protocol?
Two implementations:  Cisco-IOS-XR, Arista EOS, Juniper 
https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-segment-routing-te-policy%20implementations%20

Have a significant number of vendors indicated their plan to implement the specification? 
Huawei plans to implement.


Personnel:
SR reviewer: (TBD)
Document Shepherd: Susan Hares
AD: Alvaro Retana

(3) Briefly describe the review of this document that was performed by the Document Shepherd.
(TBd)
If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.
(TBd)

(4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?

(5) Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.

(6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.

(7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why?
IPR disclosures:
Stefano Previdi
https://mailarchive.ietf.org/arch/msg/idr/a57ZRQzKlSVy6h701Xd0eTKAfZc/

Clarence Filsfils
https://mailarchive.ietf.org/arch/msg/idr/5KhOZrkvyHtb8Z-aacjbN26CEjE/

Ketan Talulikar
https://mailarchive.ietf.org/arch/msg/idr/xSZP3t-vOeAA2ldvM9bo1s5RRgQ/

Paul Mattes
https://mailarchive.ietf.org/arch/msg/idr/43f5YaQo1souZQpBIbsFyxj1nW4/

Eric Rosen:
https://mailarchive.ietf.org/arch/msg/idr/sRVEwzBupkOXOKrKop-m8KnEFDg/

Dhanendra Jain:
https://mailarchive.ietf.org/arch/msg/idr/QJLZUCK1IFRXGoL0zHjaZElggqs/

Stephen Lin
https://mailarchive.ietf.org/arch/msg/idr/kyp20fTB44xM473aHe4LPBxgPz4/

Contributors:
Arjun Sreekantiah
https://mailarchive.ietf.org/arch/msg/idr/K9OvosP9HKAGw3S5rj7-xo0ocIM/

Acee Lindem
https://mailarchive.ietf.org/arch/msg/idr/MCF2PRAULemtQAOTKHhT4xwgojs/

Siva Sivabalan
https://mailarchive.ietf.org/arch/msg/idr/ukQ8dOdf9NhS76xxvGJrGnM-d6c/

Imtiyaz Mohammad
https://mailarchive.ietf.org/arch/msg/idr/M1pOePUdJY7ucPU_KPaVQOLysLQ/

Gurav Dawra
https://mailarchive.ietf.org/arch/msg/idr/nspr4I6I_FabnIUYEPSQbMvVG8c/

Peng Shaofu
https://mailarchive.ietf.org/arch/msg/idr/AwRLK0aSvo1aeClaawi8nkbgcIg/


(8) Has an IPR disclosure been filed that references this document?
https://datatracker.ietf.org/ipr/2984/

If so, summarize any WG discussion and conclusion regarding the IPR disclosures.
(TBD)

(9) How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?

(10) Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarise the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)

(11) Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.

(12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, YANG Doctor, media type, and URI type reviews.

(13) Have all references within this document been identified as either normative or informative?

(14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?

(15) Are there downward normative references references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.

(16) Will publication of this document change the status of any existing RFCs? Are those RFCs listed on the title page header, listed in the abstract, and discussed in the introduction? If the RFCs are not listed in the Abstract and Introduction, explain why, and point to the part of the document where the relationship of this document to the other RFCs is discussed. If this information is not in the document, explain why the WG considers it unnecessary.

(17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document. Confirm that all protocol extensions that the document makes are associated with the appropriate reservations in IANA registries. Confirm that any referenced IANA registries have been clearly identified. Confirm that newly created IANA registries include a detailed specification of the initial contents for the registry, that allocations procedures for future registrations are defined, and a reasonable name for the new registry has been suggested (see RFC 8126).

(18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries.

(19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, YANG modules, etc.

(20) If the document contains a YANG module, has the module been checked with any of the recommended validation tools (https://trac.ietf.org/trac/ops/wiki/yang-review-tools) for syntax and formatting validation? If there are any resulting errors or warnings, what is the justification for not fixing them at this time? Does the YANG module comply with the Network Management Datastore Architecture (NMDA) as specified in RFC8342?

2022-03-03
14 Susan Hares
Version 11/1/2019: As required by RFC 4858, this is the current template for the Document Shepherd Write-Up. 

(1) What type of RFC is being …
Version 11/1/2019: As required by RFC 4858, this is the current template for the Document Shepherd Write-Up. 

(1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)?
Proposed Standard

Why is this the proper type of RFC?  This dcoument defines a new BGP SAFI with a new NLRI to advertise a candidate path of a segment routing (SR) Poliocy. 

Is this type of RFC indicated in the title page header?  Yes

(2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections:

Technical Summary:

This document defines a new BGP SAFI witha new NLRI to advtise
a canddiate path of a segement routing (SR) Policy.  An SR Policy is
a set of candidate paths, each consisting of one or more segment lists.
The headend of an SR Policy may learn mltiple candidate paths for
an SR Policy.  Candidate paths may be learned via several different mechanisms
(e.g. CLI, NetConf, PCEP, or BGP).  This document specifies how BGP
may be used to distribute SR Policy candidate paths.  New Sub-TLVs for the
BGP tunnel Encapsulation Attribute are defined for signaling
information about these candidate paths.

Working Group Summary:
[WG LC: 6/29/2021 to 7/13/2021]

John's update:
https://mailarchive.ietf.org/arch/msg/idr/yCcZdStmTR-FLUYGHTsLLBv5aWo/


Document Quality:

Are there existing implementations of the protocol?
Two implementations:  Cisco-IOS-XR, Arista EOS, Juniper 
https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-segment-routing-te-policy%20implementations%20

Have a significant number of vendors indicated their plan to implement the specification? 
Huawei plans to implement.


Personnel:
SR reviewer: (TBD)
Document Shepherd: Susan Hares
AD: Alvaro Retana

(3) Briefly describe the review of this document that was performed by the Document Shepherd.
(TBd)
If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.
(TBd)

(4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?

(5) Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.

(6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.

(7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why?
IPR disclosures:
Stefano Previdi
https://mailarchive.ietf.org/arch/msg/idr/a57ZRQzKlSVy6h701Xd0eTKAfZc/

Clarence Filsfils
https://mailarchive.ietf.org/arch/msg/idr/5KhOZrkvyHtb8Z-aacjbN26CEjE/

Ketan Talulikar
https://mailarchive.ietf.org/arch/msg/idr/xSZP3t-vOeAA2ldvM9bo1s5RRgQ/

Paul Mattes
https://mailarchive.ietf.org/arch/msg/idr/43f5YaQo1souZQpBIbsFyxj1nW4/

Eric Rosen:
https://mailarchive.ietf.org/arch/msg/idr/sRVEwzBupkOXOKrKop-m8KnEFDg/

Dhanendra Jain:
https://mailarchive.ietf.org/arch/msg/idr/QJLZUCK1IFRXGoL0zHjaZElggqs/

Stephen Lin
https://mailarchive.ietf.org/arch/msg/idr/kyp20fTB44xM473aHe4LPBxgPz4/

Contributors:
Arjun Sreekantiah
https://mailarchive.ietf.org/arch/msg/idr/K9OvosP9HKAGw3S5rj7-xo0ocIM/

Acee Lindem
https://mailarchive.ietf.org/arch/msg/idr/MCF2PRAULemtQAOTKHhT4xwgojs/

Siva Sivabalan
https://mailarchive.ietf.org/arch/msg/idr/ukQ8dOdf9NhS76xxvGJrGnM-d6c/

Imtiyaz Mohammad
https://mailarchive.ietf.org/arch/msg/idr/M1pOePUdJY7ucPU_KPaVQOLysLQ/

Gurav Dawra
https://mailarchive.ietf.org/arch/msg/idr/nspr4I6I_FabnIUYEPSQbMvVG8c/

Peng Shaofu
https://mailarchive.ietf.org/arch/msg/idr/AwRLK0aSvo1aeClaawi8nkbgcIg/


(8) Has an IPR disclosure been filed that references this document?
https://datatracker.ietf.org/ipr/2984/

If so, summarize any WG discussion and conclusion regarding the IPR disclosures.
(TBD)

(9) How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?

(10) Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarise the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)

(11) Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.

(12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, YANG Doctor, media type, and URI type reviews.

(13) Have all references within this document been identified as either normative or informative?

(14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?

(15) Are there downward normative references references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.

(16) Will publication of this document change the status of any existing RFCs? Are those RFCs listed on the title page header, listed in the abstract, and discussed in the introduction? If the RFCs are not listed in the Abstract and Introduction, explain why, and point to the part of the document where the relationship of this document to the other RFCs is discussed. If this information is not in the document, explain why the WG considers it unnecessary.

(17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document. Confirm that all protocol extensions that the document makes are associated with the appropriate reservations in IANA registries. Confirm that any referenced IANA registries have been clearly identified. Confirm that newly created IANA registries include a detailed specification of the initial contents for the registry, that allocations procedures for future registrations are defined, and a reasonable name for the new registry has been suggested (see RFC 8126).

(18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries.

(19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, YANG modules, etc.

(20) If the document contains a YANG module, has the module been checked with any of the recommended validation tools (https://trac.ietf.org/trac/ops/wiki/yang-review-tools) for syntax and formatting validation? If there are any resulting errors or warnings, what is the justification for not fixing them at this time? Does the YANG module comply with the Network Management Datastore Architecture (NMDA) as specified in RFC8342?

2022-03-03
14 Susan Hares Awaiting revision to meet John's comments.
2021-11-10
14 Ketan Talaulikar New version available: draft-ietf-idr-segment-routing-te-policy-14.txt
2021-11-10
14 (System) New version accepted (logged-in submitter: Ketan Talaulikar)
2021-11-10
14 Ketan Talaulikar Uploaded new revision
2021-08-06
13 Susan Hares IETF WG state changed to WG Consensus: Waiting for Write-Up from In WG Last Call
2021-06-29
13 Susan Hares
Version 11/1/2019: As required by RFC 4858, this is the current template for the Document Shepherd Write-Up. 

(1) What type of RFC is being …
Version 11/1/2019: As required by RFC 4858, this is the current template for the Document Shepherd Write-Up. 

(1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)?
Proposed Standard

Why is this the proper type of RFC?  This dcoument defines a new BGP SAFI with a new NLRI to advertise a candidate path of a segment routing (SR) Poliocy. 

Is this type of RFC indicated in the title page header?  Yes

(2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections:

Technical Summary:

This document defines a new BGP SAFI witha new NLRI to advtise
a canddiate path of a segement routing (SR) Policy.  An SR Policy is
a set of candidate paths, each consisting of one or more segment lists.
The headend of an SR Policy may learn mltiple candidate paths for
an SR Policy.  Candidate paths may be learned via several different mechanisms
(e.g. CLI, NetConf, PCEP, or BGP).  This document specifies how BGP
may be used to distribute SR Policy candidate paths.  New Sub-TLVs for the
BGP tunnel Encapsulation Attribute are defined for signaling
information about these candidate paths.

Working Group Summary:
[WG LC: 6/29/2021 to 7/13/2021]

[TBD]

Document Quality:

Are there existing implementations of the protocol?
Two implementations:  Cisco-IOS-XR, Arista EOS, Juniper 
https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-segment-routing-te-policy%20implementations%20

Have a significant number of vendors indicated their plan to implement the specification? 
Huawei plans to implement.


Personnel:
SR reviewer: (TBD)
Document Shepherd: Susan Hares
AD: Alvaro Retana

(3) Briefly describe the review of this document that was performed by the Document Shepherd.
(TBd)
If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.
(TBd)

(4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?

(5) Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.

(6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.

(7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why?
IPR disclosures:
Stefano Previdi
https://mailarchive.ietf.org/arch/msg/idr/a57ZRQzKlSVy6h701Xd0eTKAfZc/

Clarence Filsfils
https://mailarchive.ietf.org/arch/msg/idr/5KhOZrkvyHtb8Z-aacjbN26CEjE/

Ketan Talulikar
https://mailarchive.ietf.org/arch/msg/idr/xSZP3t-vOeAA2ldvM9bo1s5RRgQ/

Paul Mattes
https://mailarchive.ietf.org/arch/msg/idr/43f5YaQo1souZQpBIbsFyxj1nW4/

Eric Rosen:
https://mailarchive.ietf.org/arch/msg/idr/sRVEwzBupkOXOKrKop-m8KnEFDg/

Dhanendra Jain:
https://mailarchive.ietf.org/arch/msg/idr/QJLZUCK1IFRXGoL0zHjaZElggqs/

Stephen Lin
https://mailarchive.ietf.org/arch/msg/idr/kyp20fTB44xM473aHe4LPBxgPz4/

Contributors:
Arjun Sreekantiah
https://mailarchive.ietf.org/arch/msg/idr/K9OvosP9HKAGw3S5rj7-xo0ocIM/

Acee Lindem
https://mailarchive.ietf.org/arch/msg/idr/MCF2PRAULemtQAOTKHhT4xwgojs/

Siva Sivabalan
https://mailarchive.ietf.org/arch/msg/idr/ukQ8dOdf9NhS76xxvGJrGnM-d6c/

Imtiyaz Mohammad
https://mailarchive.ietf.org/arch/msg/idr/M1pOePUdJY7ucPU_KPaVQOLysLQ/

Gurav Dawra
https://mailarchive.ietf.org/arch/msg/idr/nspr4I6I_FabnIUYEPSQbMvVG8c/

Peng Shaofu
https://mailarchive.ietf.org/arch/msg/idr/AwRLK0aSvo1aeClaawi8nkbgcIg/


(8) Has an IPR disclosure been filed that references this document?
https://datatracker.ietf.org/ipr/2984/

If so, summarize any WG discussion and conclusion regarding the IPR disclosures.
(TBD)

(9) How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?

(10) Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarise the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)

(11) Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.

(12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, YANG Doctor, media type, and URI type reviews.

(13) Have all references within this document been identified as either normative or informative?

(14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?

(15) Are there downward normative references references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.

(16) Will publication of this document change the status of any existing RFCs? Are those RFCs listed on the title page header, listed in the abstract, and discussed in the introduction? If the RFCs are not listed in the Abstract and Introduction, explain why, and point to the part of the document where the relationship of this document to the other RFCs is discussed. If this information is not in the document, explain why the WG considers it unnecessary.

(17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document. Confirm that all protocol extensions that the document makes are associated with the appropriate reservations in IANA registries. Confirm that any referenced IANA registries have been clearly identified. Confirm that newly created IANA registries include a detailed specification of the initial contents for the registry, that allocations procedures for future registrations are defined, and a reasonable name for the new registry has been suggested (see RFC 8126).

(18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries.

(19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, YANG modules, etc.

(20) If the document contains a YANG module, has the module been checked with any of the recommended validation tools (https://trac.ietf.org/trac/ops/wiki/yang-review-tools) for syntax and formatting validation? If there are any resulting errors or warnings, what is the justification for not fixing them at this time? Does the YANG module comply with the Network Management Datastore Architecture (NMDA) as specified in RFC8342?

2021-06-21
13 Susan Hares 1 Week IPR call
2 Weeks WG LC
2021-06-21
13 Susan Hares IETF WG state changed to In WG Last Call from WG Document
2021-06-07
13 Ketan Talaulikar New version available: draft-ietf-idr-segment-routing-te-policy-13.txt
2021-06-07
13 (System) New version accepted (logged-in submitter: Ketan Talaulikar)
2021-06-07
13 Ketan Talaulikar Uploaded new revision
2021-05-13
12 Ketan Talaulikar New version available: draft-ietf-idr-segment-routing-te-policy-12.txt
2021-05-13
12 (System) New version accepted (logged-in submitter: Ketan Talaulikar)
2021-05-13
12 Ketan Talaulikar Uploaded new revision
2020-11-14
11 Ketan Talaulikar New version available: draft-ietf-idr-segment-routing-te-policy-11.txt
2020-11-14
11 (System) New version accepted (logged-in submitter: Ketan Talaulikar)
2020-11-14
11 Ketan Talaulikar Uploaded new revision
2020-11-02
10 Ketan Talaulikar New version available: draft-ietf-idr-segment-routing-te-policy-10.txt
2020-11-02
10 (System) New version accepted (logged-in submitter: Ketan Talaulikar)
2020-11-02
10 Ketan Talaulikar Uploaded new revision
2020-11-01
09 Susan Hares Notification list changed to shares@ndzh.com because the document shepherd was set
2020-11-01
09 Susan Hares Document shepherd changed to Susan Hares
2020-05-28
09 Ketan Talaulikar New version available: draft-ietf-idr-segment-routing-te-policy-09.txt
2020-05-28
09 (System) New version accepted (logged-in submitter: Ketan Talaulikar)
2020-05-28
09 Ketan Talaulikar Uploaded new revision
2020-05-21
08 (System) Document has expired
2019-11-18
08 Ketan Talaulikar New version available: draft-ietf-idr-segment-routing-te-policy-08.txt
2019-11-18
08 (System) New version approved
2019-11-18
08 (System)
Request for posting confirmation emailed to previous authors: Paul Mattes , Steven Lin , idr-chairs@ietf.org, Eric Rosen , Clarence Filsfils , Stefano Previdi , …
Request for posting confirmation emailed to previous authors: Paul Mattes , Steven Lin , idr-chairs@ietf.org, Eric Rosen , Clarence Filsfils , Stefano Previdi , Dhanendra Jain
2019-11-18
08 Ketan Talaulikar Uploaded new revision
2019-07-06
07 Kausik Majumdar New version available: draft-ietf-idr-segment-routing-te-policy-07.txt
2019-07-06
07 (System) New version approved
2019-07-05
07 (System) Request for posting confirmation emailed to previous authors: Paul Mattes , Steven Lin , Eric Rosen , Clarence Filsfils , Stefano Previdi , Dhanendra Jain
2019-07-05
07 Kausik Majumdar Uploaded new revision
2019-05-20
06 Kausik Majumdar New version available: draft-ietf-idr-segment-routing-te-policy-06.txt
2019-05-20
06 (System) New version approved
2019-05-20
06 (System) Request for posting confirmation emailed to previous authors: Paul Mattes , Steven Lin , Eric Rosen , Clarence Filsfils , Stefano Previdi , Dhanendra Jain
2019-05-20
06 Kausik Majumdar Uploaded new revision
2018-11-21
05 Shyam Sethuram New version available: draft-ietf-idr-segment-routing-te-policy-05.txt
2018-11-21
05 (System) New version approved
2018-11-20
05 (System)
Request for posting confirmation emailed to previous authors: Paul Mattes , Steven Lin , idr-chairs@ietf.org, Eric Rosen , Dhanendra Jain , Clarence Filsfils , …
Request for posting confirmation emailed to previous authors: Paul Mattes , Steven Lin , idr-chairs@ietf.org, Eric Rosen , Dhanendra Jain , Clarence Filsfils , Stefano Previdi
2018-11-20
05 Shyam Sethuram Uploaded new revision
2018-07-02
04 Dhanendra Jain New version available: draft-ietf-idr-segment-routing-te-policy-04.txt
2018-07-02
04 (System) New version approved
2018-07-02
04 (System) Request for posting confirmation emailed to previous authors: Paul Mattes , Steven Lin , Eric Rosen , Dhanendra Jain , Clarence Filsfils , Stefano Previdi
2018-07-02
04 Dhanendra Jain Uploaded new revision
2018-05-18
03 Dhanendra Jain New version available: draft-ietf-idr-segment-routing-te-policy-03.txt
2018-05-18
03 (System) New version approved
2018-05-18
03 (System) Request for posting confirmation emailed to previous authors: Paul Mattes , Steven Lin , Eric Rosen , Dhanendra Jain , Clarence Filsfils , Stefano Previdi
2018-05-18
03 Dhanendra Jain Uploaded new revision
2018-03-03
02 Dhanendra Jain New version available: draft-ietf-idr-segment-routing-te-policy-02.txt
2018-03-03
02 (System) New version approved
2018-03-02
02 (System) Request for posting confirmation emailed to previous authors: Paul Mattes , Steven Lin , idr-chairs@ietf.org, Eric Rosen , Clarence Filsfils , Stefano Previdi
2018-03-02
02 Dhanendra Jain Uploaded new revision
2017-12-14
01 Gaurav Dawra New version available: draft-ietf-idr-segment-routing-te-policy-01.txt
2017-12-14
01 (System) New version approved
2017-12-13
01 (System) Request for posting confirmation emailed to previous authors: Paul Mattes , Clarence Filsfils , Stefano Previdi , Eric Rosen , Steven Lin
2017-12-13
01 Gaurav Dawra Uploaded new revision
2017-10-21
00 John Scudder
Begin forwarded message:

From: "John G. Scudder"
Subject: Re: [Idr] WGLC for draft-ietf-idr-segment-routing-te-policy-00
Date: October 21, 2017 at 1:52:05 PM GMT+3
To: "idr@ietf. org"
Cc: …
Begin forwarded message:

From: "John G. Scudder"
Subject: Re: [Idr] WGLC for draft-ietf-idr-segment-routing-te-policy-00
Date: October 21, 2017 at 1:52:05 PM GMT+3
To: "idr@ietf. org"
Cc: draft-ietf-idr-segment-routing-te-policy@ietf.org

Per Stefano's email, we will also defer this WGLC until the authors are ready. Sorry for the noise.

Begin forwarded message:

From: stefano previdi
Subject: Re: [Idr] WGLC for draft-ietf-idr-te-lsp-distribution-07 and draft-ietf-idr-segment-routing-te-policy
Date: October 20, 2017 at 5:35:49 PM GMT+3
To: "John G. Scudder"
Cc: "idr@ietf. org" , draft-ietf-idr-te-lsp-distribution@ietf.org, draft-ietf-idr-segment-routing-te-policy@ietf.org

Hi John,

sorry for the confusion and thanks for the prompt action. I’m afraid we have the same issue with draft-ietf-idr-segment-routing-te-policy. The authors will soon submit a new version so WG last call is probably to be deferred.

Thanks.
s.

--John

On Oct 19, 2017, at 6:16 PM, John Scudder  wrote:

Hi All,

An IDR working group last call has been requested for draft-ietf-idr-segment-routing-te-policy-00. Please reply to the list with your comments. As usual note we cannot advance the draft without participation from the group. Please get your comments in before November 3, 2017.
...
2017-10-21
00 John Scudder IETF WG state changed to WG Document from In WG Last Call
2017-10-19
00 John Scudder
From: John Scudder
Subject: [Idr] WGLC for draft-ietf-idr-segment-routing-te-policy-00
Date: October 19, 2017 at 6:16:01 PM GMT+3
To: "idr@ietf. org"
Cc: draft-ietf-idr-segment-routing-te-policy@ietf.org

Hi All,

An IDR …
From: John Scudder
Subject: [Idr] WGLC for draft-ietf-idr-segment-routing-te-policy-00
Date: October 19, 2017 at 6:16:01 PM GMT+3
To: "idr@ietf. org"
Cc: draft-ietf-idr-segment-routing-te-policy@ietf.org

Hi All,

An IDR working group last call has been requested for draft-ietf-idr-segment-routing-te-policy-00. Please reply to the list with your comments. As usual note we cannot advance the draft without participation from the group. Please get your comments in before November 3, 2017.

Authors, please confirm that any relevant IPR has been disclosed. (There is one disclosure already, see https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_ipr_search_-3Fsubmit-3Ddraft-26id-3Ddraft-2Dietf-2Didr-2Dsegment-2Drouting-2Dte-2Dpolicy&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=do-FJCoqdDpufPDQR_yFrTr9ZWppHU0N1wiy05DvVYo&s=JJxMryZgvNrevPo8s277bxaRf90eXZThcgwNxlxO1pU&e=)

https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Didr-2Dsegment-2Drouting-2Dte-2Dpolicy-2D00&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=do-FJCoqdDpufPDQR_yFrTr9ZWppHU0N1wiy05DvVYo&s=oGNIzUMp3axm7ZW0KmdmmvfyxBwcU9J9Q5zD28qTUQE&e=

Thanks,

--John
2017-10-19
00 John Scudder IETF WG state changed to In WG Last Call from WG Document
2017-10-19
00 John Scudder Changed consensus to Yes from Unknown
2017-10-19
00 John Scudder Intended Status changed to Proposed Standard from None
2017-07-21
00 Susan Hares This document now replaces draft-previdi-idr-segment-routing-te-policy instead of None
2017-07-20
00 Stefano Previdi New version available: draft-ietf-idr-segment-routing-te-policy-00.txt
2017-07-20
00 (System) WG -00 approved
2017-07-20
00 Stefano Previdi Set submitter to "Stefano Previdi ", replaces to (none) and sent approval email to group chairs: idr-chairs@ietf.org
2017-07-20
00 Stefano Previdi Uploaded new revision